JE::Object::Number(3pm)

NAME
JE::Object::Number - JavaScript Number object class

SYNOPSIS
  use JE;
  use JE::Object::Number;

  $j = new JE;

  $js_num_obj = new JE::Object::Number $j, 953.7;

  $perl_scalar = $js_num_obj->value;

  0 + $js_num_obj;  # 953.7

DESCRIPTION
This class implements JavaScript Number objects for JE. The difference between this and JE::Number is that that module implements primitive number values, while this module implements the objects.

METHODS
See JE::Types for descriptions of most of the methods. Only what is specific to JE::Object::Number is explained here.

value
    Returns a Perl scalar containing the number that the object holds.

class
    Returns the string 'Number'.

SEE ALSO

JE
JE::Types
JE::Object
JE::Number